Bug Hunting Session
Bug 47447 - [SVG] Colour property RGB percentage form is not handled properly
Summary: [SVG] Colour property RGB percentage form is not handled properly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium normal
Assignee: Christina Rossmanith
URL:
Whiteboard: target:3.6.0 target:3.5.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-17 10:21 UTC by Valek Filippov
Modified: 2012-06-12 02:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
W3C SVG test suite "color-prop-02-f" (6.18 KB, image/svg+xml)
2012-03-17 10:21 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-03-17 10:21:00 UTC
Created attachment 58615 [details]
W3C SVG test suite "color-prop-02-f"

http://www.w3.org/TR/SVG11/color.html#ColorProperty

Attached file is a part of the W3C SVG Test Suite.
All 4 circles in each group should have the same colour.
LO Draw doesn't handle rgb percentage form of the colour property as needed.
Comment 1 Not Assigned 2012-05-08 01:31:05 UTC
Chr. Rossmanith committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c11471666f92e9dfecbec23ebe73bcb0177a963

fdo#47447 parse rgb(%,%,%) correctly
Comment 2 Not Assigned 2012-05-08 08:37:41 UTC
Chr. Rossmanith committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70335974f2240be8c383910d4e9708b2a2f87c51&g=libreoffice-3-5

fdo#47447 parse rgb(%,%,%) correctly


It will be available in LibreOffice 3.5.4.
Comment 3 sasha.libreoffice 2012-06-12 02:14:37 UTC
Thanks for fixing this bug
in 3.5.4 on Fedora 64 bit, using File->Open - colors looks correct for me
But text is on wrong place
Insert->Picture->From file works correctly